# Microsoft Graph Client for Excel Workbooks

This Python library provides an interface for managing and manipulating Excel workbooks stored on OneDrive or SharePoint through the Microsoft Graph API. It facilitates operations such as creating workbook sessions, reading and updating cell ranges, and performing calculations.

## Features

- Authenticate using Microsoft identity platform with client credentials.
- Perform operations with Excel workbooks such as creating sessions, reading, and updating cell values.
- Utilize retry strategies for robust API call handling.
- Log detailed errors and operations for debugging and monitoring purposes.

##  Setup
To use this library, you need to register an application in Azure to obtain the client ID, client secret and tenant.


